# Uses of Class
org.apache.lucene.codecs.NormsProducer

Packages that use NormsProducer
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene90.blocktree
BlockTree terms dictionary.
org.apache.lucene.index
Code to maintain and access indices.

## Uses of NormsProducer in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return NormsProducer
Modifier and Type
Method
Description
`NormsProducer`
NormsProducer.`getMergeInstance()`
Returns an instance optimized for merging.
`abstract NormsProducer`
NormsFormat.`normsProducer(SegmentReadState state)`
Returns a `NormsProducer` to read norms from the index.
Methods in org.apache.lucene.codecs with parameters of type NormsProducer
Modifier and Type
Method
Description
`abstract void`
NormsConsumer.`addNormsField(FieldInfo field, NormsProducer normsProducer)`
Writes normalization values for a field.
`void`
FieldsConsumer.`merge(MergeState mergeState, NormsProducer norms)`
Merges in the fields from the readers in `mergeState`.
`abstract void`
FieldsConsumer.`write(Fields fields, NormsProducer norms)`
Write all fields, terms and postings.
`abstract BlockTermState`
PostingsWriterBase.`writeTerm(BytesRef term, TermsEnum termsEnum, FixedBitSet docsSeen, NormsProducer norms)`
Write all postings for one term; use the provided `TermsEnum` to pull a `PostingsEnum`.
`final BlockTermState`
PushPostingsWriterBase.`writeTerm(BytesRef term, TermsEnum termsEnum, FixedBitSet docsSeen, NormsProducer norms)`

## Uses of NormsProducer in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 that return NormsProducer
Modifier and Type
Method
Description
`NormsProducer`
Lucene90NormsFormat.`normsProducer(SegmentReadState state)`

## Uses of NormsProducer in org.apache.lucene.codecs.lucene90.blocktree

Methods in org.apache.lucene.codecs.lucene90.blocktree with parameters of type NormsProducer
Modifier and Type
Method
Description
`void`
Lucene90BlockTreeTermsWriter.`write(Fields fields, NormsProducer norms)`

## Uses of NormsProducer in org.apache.lucene.index

Fields in org.apache.lucene.index declared as NormsProducer
Modifier and Type
Field
Description
`final NormsProducer[]`
MergeState.`normsProducers`
Norms producers being merged
Methods in org.apache.lucene.index that return NormsProducer
Modifier and Type
Method
Description
`abstract NormsProducer`
CodecReader.`getNormsReader()`
Expert: retrieve underlying NormsProducer
`NormsProducer`
FilterCodecReader.`getNormsReader()`
`NormsProducer`
SegmentReader.`getNormsReader()`
`NormsProducer`
SortingCodecReader.`getNormsReader()`
Constructors in org.apache.lucene.index with parameters of type NormsProducer
Modifier
Constructor
Description
``
`MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
Create a new merge instance.